OS X 10.5 PPC compatible?

Discussion in 'Mac & OS X' started by Ktawesome, Mar 7, 2010.

  1. Ktawesome

    Ktawesome New Member

    Joined:
    Oct 17, 2009
    Messages:
    32
    Likes Received:
    0
    Device:
    3G iPod touch
    Can anyone tell me if 10.5 (Leopard) is PowerPC compatible?
  2. Nburnes

    Nburnes Well-Known Member

    Joined:
    Jan 3, 2009
    Messages:
    9,022
    Likes Received:
    767
    Device:
    OnePlus One
  3. gunzmaiet

    gunzmaiet New Member

    Joined:
    Oct 3, 2007
    Messages:
    1,325
    Likes Received:
    5
    it should run on most G5 and G4s, might not work on the older ones
  4. gerdonhanry

    gerdonhanry New Member

    Joined:
    Feb 27, 2010
    Messages:
    3
    Likes Received:
    0
    Device:
    iPod touch
    Yes, This is the latest version that's still compatible with PowerPC and Intel macs. Snow Leopard enhances your entire Mac experience. In ways big and small, it gets faster, more reliable, and easier to use. It’s the Mac you know and love, made even better.

Share This Page